function [] = cvc_ext_call( object,src,event )
%CVC_EXT_CALL Summary of this function goes here
%   Detailed explanation goes here


object.save_call([],[]);
object.save_data;
if (object.validation_report_handle ~= 0)
    delete(object.validation_report_handle);
    object.validation_report_handle = 0;
end
error = object.check_call([],2);


if (~error)
    
    [check,result] = object.CVC.cvc_check;
    
    if (check == 1)
        msgbox('table is valid');
    elseif (check == 0 && strcmp(result,'canceled'))
        return;
    else
        Valid_Report = ValidationReport(object);
        Valid_Report.set_results(result);
        Valid_Report.set_mode(1);
        Valid_Report.init();
    end
    object.pvs_checked = check;
    object.update_Statusbar;
    if (object.mode == 1)
        
        TableBlock.set_block_display(object.block_handle,object.pvs_checked);
    end
    
end
end


